MavenPlugin (Gradle API 2.9)
Date: 2015-11-17

Package: org.gradle.api.plugins

## [Java] Class MavenPlugin

- org.gradle.api.plugins.MavenPlugin

- All Implemented Interfaces and Traits:
    Plugin

      public class MavenPlugin
      extends Object

  A Plugin which allows project artifacts to be deployed to a Maven repository, or installed to the local Maven cache.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static int` | `COMPILE_PRIORITY` |
    `static String` | `INSTALL_TASK_NAME` |
    `static int` | `PROVIDED_COMPILE_PRIORITY` |
    `static int` | `PROVIDED_RUNTIME_PRIORITY` |
    `static int` | `RUNTIME_PRIORITY` |
    `static int` | `TEST_COMPILE_PRIORITY` |
    `static int` | `TEST_RUNTIME_PRIORITY` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MavenPlugin (org.gradle.internal.Factory<org.gradle.logging.LoggingManagerInternal> loggingManagerFactory, org.gradle.api.internal.file.FileResolver fileResolver, org.gradle.api.internal.artifacts.ivyservice.projectmodule.ProjectPublicationRegistry publicationRegistry, org.gradle.configuration.project.ProjectConfigurationActionContainer configurationActionContainer, org.gradle.api.internal.artifacts.mvnsettings.MavenSettingsProvider mavenSettingsProvider, org.gradle.api.internal.artifacts.mvnsettings.LocalMavenRepositoryLocator mavenRepositoryLocator)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `apply(org.gradle.api.internal.project.ProjectInternal project)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final int COMPILE_PRIORITY

    - #### public static final String INSTALL_TASK_NAME

    - #### public static final int PROVIDED_COMPILE_PRIORITY

    - #### public static final int PROVIDED_RUNTIME_PRIORITY

    - #### public static final int RUNTIME_PRIORITY

    - #### public static final int TEST_COMPILE_PRIORITY

    - #### public static final int TEST_RUNTIME_PRIORITY

  - ### Constructor Detail

    - #### @javax.inject.Inject public MavenPlugin(org.gradle.internal.Factory<org.gradle.logging.LoggingManagerInternal> loggingManagerFactory, org.gradle.api.internal.file.FileResolver fileResolver, org.gradle.api.internal.artifacts.ivyservice.projectmodule.ProjectPublicationRegistry publicationRegistry, org.gradle.configuration.project.ProjectConfigurationActionContainer configurationActionContainer, org.gradle.api.internal.artifacts.mvnsettings.MavenSettingsProvider mavenSettingsProvider, org.gradle.api.internal.artifacts.mvnsettings.LocalMavenRepositoryLocator mavenRepositoryLocator)

  - ### Method Detail

    - #### public void apply(org.gradle.api.internal.project.ProjectInternal project)